clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::ast_matchers::dynamic::Parser::ScopedContextEntry Struct Reference
Collaboration diagram for clang::ast_matchers::dynamic::Parser::ScopedContextEntry:
[legend]

## Public Member Functions
| ScopedContextEntry (Parser *P, MatcherCtor C)
| ~ScopedContextEntry ()
void | nextArg ()

## Public Attributes
Parser * | P

## Detailed Description

Definition at line 317 of file Parser.cpp.

## Constructor & Destructor Documentation

## ◆ ScopedContextEntry()

clang::ast_matchers::dynamic::Parser::ScopedContextEntry::ScopedContextEntry | ( | Parser * | P,
|  | MatcherCtor | C
| ) |  |
| inline

Definition at line 320 of file Parser.cpp.

## ◆ ~ScopedContextEntry()

clang::ast_matchers::dynamic::Parser::ScopedContextEntry::~ScopedContextEntry | ( |  | ) |
| inline

Definition at line 324 of file Parser.cpp.

## Member Function Documentation

## ◆ nextArg()

void clang::ast_matchers::dynamic::Parser::ScopedContextEntry::nextArg | ( |  | ) |
| inline

Definition at line 328 of file Parser.cpp.

References clang::ast_matchers::dynamic::Diagnostics::Context::ConstructMatcher, clang::ast_matchers::dynamic::SourceRange::End, clang::ast_matchers::dynamic::VariantValue::getString(), clang::ast_matchers::dynamic::Parser::TokenInfo::ID_Bind, clang::ast_matchers::dynamic::VariantMatcher::isNull(), clang::ast_matchers::dynamic::VariantValue::isString(), clang::ast_matchers::dynamic::Parser::TokenInfo::Kind, clang::ast_matchers::dynamic::Diagnostics::Context::MatcherArg, clang::ast_matchers::dynamic::MatcherCompletion::MatcherDecl, nextArg(), clang::ast_matchers::dynamic::Parser::TokenInfo::Range, clang::ast_matchers::dynamic::VariantMatcher::SingleMatcher(), clang::ast_matchers::dynamic::MatcherCompletion::Specificity, llvm::str(), clang::ast_matchers::dynamic::ParserValue::Text, clang::ast_matchers::dynamic::Parser::TokenInfo::Text, clang::ast_matchers::dynamic::Parser::TokenInfo::TK_CloseParen, clang::ast_matchers::dynamic::Parser::TokenInfo::TK_CodeCompletion, clang::ast_matchers::dynamic::Parser::TokenInfo::TK_Comma, clang::ast_matchers::dynamic::Parser::TokenInfo::TK_Eof, clang::ast_matchers::dynamic::Parser::TokenInfo::TK_Error, clang::ast_matchers::dynamic::Parser::TokenInfo::TK_Ident, clang::ast_matchers::dynamic::Parser::TokenInfo::TK_InvalidChar, clang::ast_matchers::dynamic::Parser::TokenInfo::TK_Literal, clang::ast_matchers::dynamic::Parser::TokenInfo::TK_OpenParen, clang::ast_matchers::dynamic::Parser::TokenInfo::TK_Period, clang::ast_matchers::dynamic::MatcherCompletion::TypedText, and clang::ast_matchers::dynamic::Parser::TokenInfo::Value.

Referenced by nextArg().

## Member Data Documentation

## ◆ P

Parser* clang::ast_matchers::dynamic::Parser::ScopedContextEntry::P

Definition at line 318 of file Parser.cpp.

The documentation for this struct was generated from the following file:

- lib/ASTMatchers/Dynamic/Parser.cpp